const keys = new Set(['importedAs', 'reExportedBy', 'reExportedAs', 'reExportedNs']);
const setisfy = (obj) => {
    if (obj instanceof Set)
        return Array.from(obj);
    if (obj instanceof Map)
        return setisfy(Object.fromEntries(obj.entries()));
    if (typeof obj === 'object')
        for (const key in obj) {
            obj[key] = setisfy(obj[key]);
        }
    return obj;
};
const unsetisfy = (obj) => {
    if (Array.isArray(obj))
        return new Set(obj);
    if (typeof obj === 'object') {
        for (const key in obj) {
            if (keys.has(key)) {
                if (!(obj[key] instanceof Map))
                    obj[key] = new Map(Object.entries(obj[key]).map(v => [v[0], unsetisfy(v[1])]));
            }
            else
                obj[key] = unsetisfy(obj[key]);
        }
    }
    return obj;
};
export const serialize = (data) => setisfy(structuredClone(data));
export const deserialize = (data) => unsetisfy(data);
